#! /usr/bin/perl
#
# heron11.pl -- ヘロンの公式で三角形の面積を3回計算（サブルーチン内で表示）

use 5.010;
use strict;
use warnings;

my ($a, $b, $c) = (45, 45, 30);
&triSpace($a, $b, $c);

($a, $b, $c) = (30, 35, 55);
&triSpace($a, $b, $c);

($a, $b, $c) = (57, 44, 33);
&triSpace($a, $b, $c);

sub triSpace { # ヘロンの公式で三角形の面積を求めて表示する
    my ($a, $b, $c) = @_;
    my $s = 1 / 2 * ($a + $b + $c);
    my $space = sqrt($s * ($s - $a) * ($s - $b) * ($s - $c));
    say "3辺が $a m、$b m、$c mの三角形の土地の面積は",
            &roundOne($space), "平方mです";
}

sub roundOne { # 小数点以下を四捨五入
    my $n = shift;
    return sprintf "%d", $n + 0.5;
}
