#! /usr/bin/perl
#
# heron12.pl -- ヘロンの公式で三角形の面積を3回計算（坪数も表示）

use 5.010;
use strict;
use warnings;

my ($a, $b, $c) = (45, 45, 30);
my ($heibei, $tsubo, $jou) = &triSpace($a, $b, $c);
say "3辺が $a m、$b m、$c mの三角形の土地Aの面積は$heibei平方m($tsubo坪、$jou畳）です";

($a, $b, $c) = (30, 35, 55);
($heibei, $tsubo, $jou) = &triSpace($a, $b, $c);
say "3辺が $a m、$b m、$c mの三角形の土地Bの面積は$heibei平方m($tsubo坪、$jou畳）です";

($a, $b, $c) = (57, 44, 33);
($heibei, $tsubo, $jou) = &triSpace($a, $b, $c);
say "3辺が $a m、$b m、$c mの三角形の土地Cの面積は$heibei平方m($tsubo坪、$jou畳）です";

sub triSpace { # ヘロンの公式で三角形の面積を求める
    my ($a, $b, $c) = @_;
    my $s = 1 / 2 * ($a + $b + $c);
    my $heibei = sqrt($s * ($s - $a) * ($s - $b) * ($s - $c));
    my $tsubo  = $heibei / 3.3;
    my $jou    = $tsubo * 2;
    return &roundOne($heibei), &roundOne($tsubo), &roundOne($jou);
}

sub roundOne { # 小数点以下を四捨五入
    my $n = shift;
    return sprintf "%d", $n + 0.5;
}
