#! /usr/bin/perl
#
# slurp.pl -- 複数行にまたがるコメントの削除（一気読み置換）

use 5.010;
use strict;
use warnings;

use utf8;

if ($^O eq "MSWin32") {
    binmode STDIN, ":encoding(Shift_JIS)";
    binmode STDOUT, ":encoding(Shift_JIS)";
} else {
    binmode STDIN, ":encoding(UTF-8)";
    binmode STDOUT, ":encoding(UTF-8)";
}

my $infile = shift
    or die "usage: $0 <infile>.txt\n";

my $outfile = $infile;
$outfile =~ s/.txt$/_out.txt/
    or die "$infile was not terminated with .txt\n";

open IN, "<", $infile
    or die "cannot open $infile as IN because $!\n";

{
    local $/;
    undef $/;
    $_ = <IN>;
}

close IN;

open OUT, ">", $outfile
    or die "cannot open $outfile as OUT because $!\n";

1 while s{/\*.*?\*/}{}s;

print OUT;
close OUT;
